# -*- codign: utf-8 -*-
from openerp.http import request
from eiru_logging import make_info_log

_MODEL='res.users'

def get_name_users(id):
    user = request.env[_MODEL].browse(id)
    if (not user):
        return " "
    return user.display_name

def get_res_users(store):
    make_info_log('GET user in store')
    domain = [('active', '=', True)]

    if (store):
        domain.append(('id', 'in', store))
    return[{
        'id':  users.id,
        'name': users.name,
        'displayName': users.display_name,
        'image': users.image_medium,
        'storeIds': map(lambda x: x.id, users.store_ids),
    } for users in request.env[_MODEL].search(domain)]

def get_user():
    make_info_log('GET user session')
    user = request.env.user
    return {
        'id': user.id,
        'name': user.name,
        'displayName': user.display_name,
        'currency': {
            'id': user.company_id.currency_id.id,
            'name': user.company_id.currency_id.name,
            'displayName': user.company_id.currency_id.display_name,
            'symbol': user.company_id.currency_id.symbol
        },
        'company': {
            'id': user.company_id.id,
            'name': user.company_id.name,
            'displayName': user.company_id.display_name
        }
    }
