# Eiru Bank Statement

* Modulo para la manipulación de Caja y Banco.
 * Crear Caja.
 * Entrada de dinero
 * Salida de dinero
 * Transferencia
 * Modificación de los detalles.
 * Cierre de caja/banco

## Requisitos para la instalación

1. [Node.js](https://nodejs.org/es/) en su última versión
2. [Yarn](https://yarnpkg.com/lang/en/) en su última versión

### Instalación del módulo

1. Clone el proyecto en la raíz de su carpeta de custom addons
2. Ejecute `yarn install` desde su terminal para instalar las dependencias
3. Ejecute `yarn build` desde su terminal para construir el proyecto
4. Actualice su lista de módulos y luego instale

### Para actualizarlo
1. Ejecute `git pull` desde su terminal estando en la raíz del módulo
2. Ejecute los pasos 2 y 3 del proceso de instalación

### Qué necesitas?

1. Primeramente -> [Mucho brío](https://www.youtube.com/watch?v=CVFTC5B895A)
2. [Vue.js](https://vuejs.org/)
3. [Vuex](https://vuex.vuejs.org/en/intro.html)
4. [Sass](http://sass-lang.com/)
5. [Pugjs](https://pugjs.org/api/getting-started.html)
6. [ECMAScript6](http://es6-features.org/)
7. [Babeljs](https://babeljs.io/)
8. [Webpack](https://webpack.github.io/)
9. [Node.js](https://nodejs.org/)
