# -*- coding: utf-8 -*-
from openerp.http import request
from eiru_logging import make_info_log

_MODEL = 'account.bank.statement.type'

def get_name_statement_type(id):
    type = request.env[_MODEL].browse(id)
    if (not type):
        return ''

    return type.name

def get_account_bank_statement_type():
    make_info_log('GET Statement Type')
    return[{
        'id': type.id,
        'name': type.name,
        'code': type.code,
        'comment': type.comment,
        'isDefault': type.is_default
    }for type in request.env['account.bank.statement.type'].search([('active', '=', True)])]
