# -*- codign: utf-8 -*-
from openerp.http import request
from eiru_logging import make_info_log

_MODEL='res.partner'

def get_partner_name(id):
    partner = request.env[_MODEL].browse(id)
    if (not partner):
        return ''

    return partner.display_name

def get_res_partner():
    make_info_log('GET Res-Partner')
    domain = [('active', '=', True)]

    return[{
        'id':  partner.id,
        'name': partner.display_name,
        # 'ruc': partner.ruc
    } for partner in request.env[_MODEL].search(domain)]
