# -*- coding: utf-8 -*-
from openerp.http import request
from openerp.tools import DEFAULT_SERVER_DATETIME_FORMAT, DEFAULT_SERVER_DATE_FORMAT
from pytz import timezone
from datetime import datetime
from eiru_logging import make_info_log

''' Timezone'''
def get_timezone():
    make_info_log('GET Timezone')
    return timezone(request.context['tz'])

''' Datatime '''
def get_datetime():
    make_info_log('GET DateTime')
    return datetime.now(get_timezone()).strftime(DEFAULT_SERVER_DATETIME_FORMAT)

''' Date '''
def get_date():
    make_info_log('GET Date')
    return datetime.now(get_timezone()).strftime(DEFAULT_SERVER_DATE_FORMAT)
