const initialState = {
    resPartners: []
}
const state = {
    resPartners: initialState.resPartners
}
const getters = {
    resPartners(state){
        return state.resPartners
    }
}
const mutations = {
    setResPartners(state, payload){
        state.resPartners = payload
    }
}
const actions = {
    initResPartners({commit}, payload){
        commit('setResPartners', payload)
    },
    resetResPartners({ commit }) {
        commit('setResPartners', [])
    }
}
export default {
    state,
    getters,
    mutations,
    actions
}
